'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setBabel = setBabel;
exports.getBabel = getBabel;
exports.getTypes = getTypes;

var _babelTypesPatch = require('./util/babelTypesPatch');

var _babelTypesPatch2 = _interopRequireDefault(_babelTypesPatch);

var _lscNodeTypes = require('./lscNodeTypes');

var _lightscriptTypes = require('./lightscriptTypes');

var _lightscriptTypes2 = _interopRequireDefault(_lightscriptTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// API for accessing a Babel instance that comes from dependency injection
var babelInstance = null;

function setBabel(babel) {
  var t = babel.types;
  (0, _babelTypesPatch2.default)(t);
  (0, _lscNodeTypes.registerLightscriptNodeTypes)(t);
  return babelInstance = babel;
}

function getBabel() {
  return babelInstance;
}

function getTypes() {
  return _lightscriptTypes2.default;
}